LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XInputStreamProvider Interface Referencepublished

Interface for providing an input stream. More...

`import"XInputStreamProvider.idl";`

Inheritance diagram for XInputStreamProvider:

## Public Member Functions
com::sun::star::io::XInputStream | createInputStream ()
| Creates a new input stream, every time providing the same data. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Interface for providing an input stream.

Every time createInputStream() is called a new input stream is returned, always pointing to the begin of the same data. All input streams returned by createInputStream() are completely independent from each other.

## Member Function Documentation

## ◆ createInputStream()

com::sun::star::io::XInputStream createInputStream | ( |  | ) |

Creates a new input stream, every time providing the same data.

Returns
  a new input stream

The documentation for this interface was generated from the following file:

- com/sun/star/io/XInputStreamProvider.idl